# [Tutorial Link][def]

# Tutorial Chapters
<p> Checkmark means completed</p>

- [X] Chapter 1: Hello, World!
- [X] Chapter 2: Templates
- [X] Chapter 3: Web Forms
- [X] Chapter 4: Database
- [X] Chapter 5: User Logins
- [X] Chapter 6: Profile Page and Avatars
- [X] Chapter 7: Error Handling
- [ ] Chapter 8: Followers
- [ ] Chapter 9: Pagination
- [ ] Chapter 10: Email Support
- [ ] Chapter 11: Facelift
- [ ] Chapter 12: Dates and Times
- [ ] Chapter 13: I18n and L10n
- [ ] Chapter 14: Ajax
- [ ] Chapter 15: A Better Application Structure
- [ ] Chapter 16: Full-Text Search
- [ ] Chapter 17: Deployment on Linux
- [ ] Chapter 18: Deployment on Heroku
- [ ] Chapter 19: Deployment on Docker Containers
- [ ] Chapter 20: Some JavaScript Magic
- [ ] Chapter 21: User Notifications
- [ ] Chapter 22: Background Jobs
- [ ] Chapter 23: Application Programming Interfaces (APIs)

[def]: https://blog.miguelgrinberg.com/post/the-flask-mega-tutorial-part-i-hello-world